%--------------------------------------------------------------------------
% PROGRAM PRO STANOVENÍ PŘESNOSTI ROZMĚŘENÍ DATABÁZE EKG SIGNÁLŮ
%--------------------------------------------------------------------------

%------ PREALOKACE --------------------------------------------------------

QRSon_global = zeros(1,num/poc_pripon);
QRSoff_global = zeros(1,num/poc_pripon);
Toff_global = zeros(1,num/poc_pripon);
Pon_global = zeros(1,num/poc_pripon);
Poff_global = zeros(1,num/poc_pripon);

%------ VÝBĚR GLOBÁLNÍCH HODNOT BODŮ PRO VŠECHNY SVODY --------------------

for i = 1:num/poc_pripon
    pom = sort(QRSon((i-1)*poc_pripon+1:(i-1)*poc_pripon+poc_pripon));
    QRSon_global(i)= vyber(pom,1);
        
    pom = sort(QRSoff((i-1)*poc_pripon+1:(i-1)*poc_pripon+poc_pripon));
    QRSoff_global(i)= vyber(pom,2);

    pom = sort(Toff((i-1)*poc_pripon+1:(i-1)*poc_pripon+poc_pripon));
    Toff_global(i) = vyber(pom,3);
    
    pom = sort(Pon((i-1)*poc_pripon+1:(i-1)*poc_pripon+poc_pripon));
    Pon_global(i)= vyber(pom,4);
    
    pom = sort(Poff((i-1)*poc_pripon+1:(i-1)*poc_pripon+poc_pripon));
    Poff_global(i)= vyber(pom,5);
end

%------ VÝPOČET REFERENČNÍCH HODNOT BODŮ ----------------------------------

QRSon_ref = referee(cisla,1) - 1 + referee(cisla,4);
QRSoff_ref = referee(cisla,1) - 1 + referee(cisla,5);
Toff_ref = referee(cisla,1) - 1 + referee(cisla,6);
Pon_ref = referee(cisla,1) - 1 + referee(cisla,2);
Poff_ref = referee(cisla,1) - 1 + referee(cisla,3);
        
%------ ELIMINACE NULOVÝCH HODNOT -----------------------------------------    
    
pom = find(QRSon_global==0);
QRSon_global(pom) = [];
QRSon_ref(pom) = [];
    
pom = find(QRSoff_global==0);
QRSoff_global(pom) = [];
QRSoff_ref(pom) = [];
    
pom = find(Toff_global==0);
Toff_global(pom) = [];
Toff_ref(pom) = [];

pom = find(Pon_global==0);
Pon_global(pom) = [];
Pon_ref(pom) = [];

pom = find(Poff_global==0);
Poff_global(pom) = [];
Poff_ref(pom) = [];

%------ VÝPOČET CHYBY ROZMĚŘENÍ VE VZORCÍCH -------------------------------

chybaQRSonset =  QRSon_global - QRSon_ref';
chybaQRSoffset = QRSoff_global - QRSoff_ref';
chybaToffset = Toff_global - Toff_ref';
chybaPonset = Pon_global - Pon_ref';
chybaPoffset = Poff_global - Poff_ref';

%------ VÝPOČET PRŮMĚRNÉ CHYBY A SMĚRODATNÉ ODCHYLKY (ms) -----------------

m1 = mean(2*chybaQRSonset);
m2 = mean(2*chybaQRSoffset);
m3 = mean(2*chybaToffset);
m4 = mean(2*chybaPonset);
m5 = mean(2*chybaPoffset);
[s1] = RMS(2*chybaQRSonset);
[s2] = RMS(2*chybaQRSoffset);
[s3] = RMS(2*chybaToffset);
[s4] = RMS(2*chybaPonset);
[s5] = RMS(2*chybaPoffset);

clear pom;
%--------------------------------------------------------------------------